.footer-menu {
    position: relative;
}

.footer-menu__list li:not(:last-child) {
    margin-bottom: 12px;
}

.footer-menu__list li a {
    font-size: 16px;
    line-height: 150%;
    color: var(--main-text-color);
    transition: color var(--animation-duration) var(--timing-func);
}

.fos {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 58.3%;
    gap: 30px;
}

.fos .fos-head h2 {
    font-family: var(--third-family);
    font-weight: 700;
    font-size: var(--fluid-40-24);
    line-height: 120%;
    margin-bottom: 8px;
}

.fos .fos-head p {
    font-family: var(--third-family);
    font-size: var(--fluid-18-14);
    line-height: 160%;
}

.fos-form {
    display: grid;
    gap: 16px;
    container-type: inline-size;
}

.fos-form .form-row {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px;
}

.fos-form .form-submit {
    display: grid;
    gap: 23px;
    grid-template-columns: 1fr auto;
    gap: 16px;
}

@container (width < 450px) {
    .fos-form .form-submit {
        grid-template-columns: 1fr;
    }
}

.fos-form .form-submit__confirm {
    display: grid;
    gap: 4px;
}

.fos-form .form-group {
    display: grid;
    position: relative;
}

.fos-form label.error {
    font-weight: 400;
    font-size: 11px;
    line-height: 1;
    letter-spacing: 0.03em;
    color: var(--error-color);
    position: absolute;
    bottom: 3px;
    right: 25px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.fos-form input,
.fos-form textarea {
    height: 64px;
    width: 100%;
    background: var(--main-bg-color);
    padding: 0px 26px 0px 26px;
    font-weight: 500;
    font-size: 16px;
    line-height: 120%;
    color: var(--main-text-color);
    border-radius: 50px;
}

.fos-form input:-ms-input-placeholder, .fos-form textarea:-ms-input-placeholder {
    color: var(--main-text-color);
}

.fos-form input::placeholder,
.fos-form textarea::placeholder {
    color: var(--main-text-color);
}

.fos-form input.error,
.fos-form textarea.error {
    color: var(--error-color);
    border: 1px solid var(--error-color);
}

.fos-form input.valid,
.fos-form textarea.valid {
    background-size: auto;
}

.fos-form textarea {
    height: 100%;
    resize: none;
    min-height: 134px;
    border-radius: 28px;
    padding-top: 22px;
}

.fos-form .checkbox {
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    margin-top: 0;
    margin-bottom: 0;
}

.fos-form .checkbox > input {
    position: absolute;
    visibility: hidden;
    opacity: 0;
}

.fos-form .checkbox__text {
    text-align: left;
    display: inline-block;
    padding-left: 28px;
    cursor: pointer;
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 12px;
    line-height: 120%;
    color: rgba(29, 30, 33, 0.5);
    position: relative;
}

.fos-form .checkbox__text:before {
    content: "";
    position: absolute;
    top: -3px;
    left: 0;
    width: 20px;
    height: 20px;
    border-radius: 4px;
    background: var(--main-bg-color);
    border: 1px solid var(--border-color);
    transition: background 0.3s ease;
}

.fos-form .checkbox__text:after {
    content: url('data:image/svg+xml,<svg width="16" height="12" viewBox="0 0 16 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M15.0473 2.09209L6.29733 10.8421C5.97189 11.1675 5.44425 11.1675 5.11882 10.8421L0.952148 6.67542L2.13066 5.49691L5.70807 9.07432L13.8688 0.913574L15.0473 2.09209Z" fill="white" /></svg>');
    position: absolute;
    top: 0px;
    left: 2px;
    transform: scale(0);
    transition: transform 0.3s ease;
}

.fos-form .checkbox input:checked + span:after {
    transform: scale(1);
}

.fos-form .checkbox input:checked + span:before {
    background: var(--bg-color-4);
    border-color: var(--bg-color-4);
}

.footer {
    margin-bottom: 18px;
}

.footer__wrapper {
    display: grid;
    grid-template-columns: 32% 1fr;
    gap: 30px;
}

.footer__column {
    border-radius: var(--block-radius);
    padding: 60px 70px;
}

.footer__column:first-child {
    background: var(--bg-color-4);
}

.footer__column:last-child {
    background: var(--bg-color-3) url("../img/backg_footer.png") center no-repeat;
}

.footer__grid {
    display: grid;
    gap: 70px;
    grid-template-columns: 31.5% 31.5% 1fr;
}

.footer__copyright {
    margin-top: 47px;
}

.footer-title {
    font-weight: 600;
    font-size: 18px;
    line-height: 130%;
    margin-bottom: 20px;
}

._spoller-init .footer-title {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    gap: 10px;
}

._spoller-init .footer-title::after {
    display: inline-block;
    transition: transform var(--animation-duration) var(--timing-func);
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg width='10' height='6' viewBox='0 0 10 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5.00081 6.00002L0.757812 1.75702L2.17281 0.343018L5.00081 3.17202L7.82881 0.343018L9.24381 1.75702L5.00081 6.00002Z' fill='black' /%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    width: 24px;
    height: 24px;
}

._spoller-init .footer-title._spoller-active::after {
    transform: rotateX(-180deg);
}

.footer-contacts__title {
    font-weight: 600;
    font-size: 24px;
    line-height: 160%;
    color: var(--text-color-2);
    margin-bottom: 27px;
}

.footer-contacts__list dt {
    font-size: 14px;
    line-height: 129%;
    color: var(--primary-color);
    margin-bottom: 7px;
}

.footer-contacts__list dd {
    font-weight: 600;
    font-size: 18px;
    line-height: 133%;
    color: var(--text-color-2);
    margin-bottom: 24px;
}

.footer-contacts__list a {
    text-wrap: nowrap;
    transition: color var(--animation-duration) var(--timing-func);
}

.footer-contacts__list a:not(:last-child)::after {
    content: " |";
    font-family: var(--second-family);
    font-weight: 600;
    font-size: 18px;
    line-height: 122%;
    color: var(--primary-color);
}

.footer-social__title {
    font-size: 14px;
    line-height: 150%;
    color: var(--primary-color);
    margin-bottom: 4px;
}

.footer-social__list {
    display: -ms-flexbox;
    display: flex;
    gap: 16px;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.footer-social a {
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: rgba(255, 255, 255, 0.12);
    border-radius: 16px;
    padding: 8px;
    width: 49px;
    height: 49px;
}

.footer-social a img {
    max-width: 100%;
}

.footer-copyright {
    display: grid;
    gap: 4px;
    font-size: 14px;
    line-height: 150%;
    text-align: right;
}

.footer-copyright a {
    text-decoration: underline;
}

@media (min-width: 767.98px) {
    .footer-menu_grid .footer-menu__list {
        column-count: 2;
        column-gap: 30px;
    }
}

@media (max-width: 1450px) {
    .footer__column {
        padding: 35px;
    }

    .footer__grid {
        gap: 35px;
    }
}

@media (max-width: 1023.98px) {
    .fos {
        grid-template-columns: 1fr;
    }

    .footer__wrapper {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 767.98px) {
    .fos-form .form-row {
        grid-template-columns: 1fr;
    }

    .footer-menu .footer-menu__list {
        padding-top: 15px;
    }

    .footer__menu {
        padding: 15px;
        border: 1px solid var(--primary-color);
        border-radius: var(--block-radius);
    }

    .footer__column {
        padding: 20px;
    }

    .footer__grid {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .footer-title {
        margin-bottom: 0;
    }
    .footer-contacts__list dd {
        font-size: 13px;
    }
}

@media (any-hover: hover) {
    .footer-menu__list li a:hover {
        color: var(--bg-color-4);
    }

    .footer-contacts__list a:hover {
        color: var(--primary-color);
    }
}